### Constructor

# GdkPixbuf Pixbuf new_from_file

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_file (
      const char* filename,
      GError** error
    )

#### Description [src]

Creates a new pixbuf by loading an image from a file.

The file format is detected automatically.

If `NULL` is returned, then `error` will be set. Possible errors are:

- the file could not be opened
- there is no loader for the file’s format
- there is not enough memory to allocate the image buffer
- the image buffer contains invalid data

The error domains are `GDK_PIXBUF_ERROR` and `G_FILE_ERROR`.

#### Parameters

`filename`

  Type: `const char*`

  Name of file to load, in the GLib file name encoding.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A newly-created pixbuf.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.